.\"	$NetBSD: fastboot.8,v 1.12 2001/11/16 11:31:30 wiz Exp $
.\"
.\" Copyright (c) 1983, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)fastboot.8	8.1 (Berkeley) 6/5/93
.\"
.Dd June 5, 1993
.Dt FASTBOOT 8
.Os
.Sh NAME
.Nm fastboot ,
.Nm fasthalt
.Nd "reboot/halt the system without checking the disks"
.Sh SYNOPSIS
.Nm
.Op Ar boot-options
.Nm fasthalt
.Op Ar halt-options
.Sh DESCRIPTION
.Nm
and
.Nm fasthalt
are shell scripts which reboot or halt the system, and when next
started, the system will skip the normal the file systems checks.
This is done by creating a file
.Pa /fastboot ,
then invoking the
.Xr reboot 8
program.
The system startup script,
.Pa /etc/rc ,
looks for this file and, if present, skips the normal invocation of
.Xr fsck 8 .
.Sh SEE ALSO
.Xr halt 8 ,
.Xr rc 8 ,
.Xr reboot 8
.Sh HISTORY
The
.Nm
command appeared in
.Bx 4.2 .
